Subject: Re: bug#20070: 24.3; have commands such as downcase-region act on a rectangle region

From: Juri Linkov <[email-masked]>
Date: Mon, 16 Mar 2015 22:58:56 +0200

>> If the command used region-beginning and region-end, this means
>> changing them to e.g. plural region-beginnings and region-ends.
>
> Here again, I'd rather use a list of pairs than a pair of lists, so we
> wouldn't want to have 2 functions (one to get the list of beginnings
> and another to get the list of ends).

A list of pairs would be much cleaner, indeed.  The problem is that
there are 2 arguments already in region-handling commands: BEG and END.
Using one of them for a list of pairs, and leaving another unused
is not a nice thing to do.